%define shinken_user shinken
%define shinken_group shinken

Name:           shinken
Version:        2.4.3
Release:        %mkrel 1
Summary:        Python Monitoring tool
License:        AGPLv3+
Group:          Monitoring
URL:            http://www.shinken-monitoring.org
Source0:        https://github.com/naparuba/%{name}/archive/shinken-%{version}.tar.gz
Source1:        %{name}.8shinken
Source2:        path.cfg
Requires:       python 
Requires:       python-simplejson 
Requires:       python-pycurl  
Requires:       python-cherrypy
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Buildarch:      noarch

%description
Shinken is a new monitoring tool written in Python. 
The main goal of Shinken is to allow users to have a fully flexible 
architecture for their monitoring system that can easily scale to large 
environments.
Shinken also provides interfaces with NDODB and Merlin database, 
Livestatus connector Shinken does not include any human interfaces.

%package arbiter
Summary:    Shinken Arbiter Daemon
Requires:   %{name} = %{version}-%{release}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description arbiter
The arbiter daemon reads the configuration, divides it into parts (N
schedulers = N parts), and distributes them to the appropriate Shinken
daemons

%package reactionner
Summary:    Shinken Reactionner Daemon
Requires:   %{name} = %{version}-%{release}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description reactionner
The reactionner daemon issues notifications and launches
event_handlers.

%package scheduler
Summary:    Shinken Scheduler Deamon
Requires:   %{name} = %{version}-%{release}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description scheduler
The scheduler daemon manages the dispatching of checks and actions to
the poller and reactionner daemons respectively.

%package poller
Summary:    Shinken Poller Deamon
Requires:   %{name} = %{version}-%{release}
Recommends:   nagios-plugins
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description poller
The poller daemon launches check plugins as requested by schedulers.
When the check is finished it returns the result to the schedulers.

%package broker
Summary:    Shinken Broker Deamon
Requires:   %{name} = %{version}-%{release}
Requires:   python-redis
Requires:   python-memcached
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description broker
The broker daemon exports and manages data from schedulers. The broker
uses modules exclusively to get the job done.

%package receiver
Summary:    Shinken Receiver Deamon
Requires:   %{name} = %{version}-%{release}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description receiver
The receiver daemon receives passive check data and serves as a
distributed command buffer. The receiver is an optional component,
install it if you want to receive passive check data or have a
distributed command buffer.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --root %{buildroot} --install-scripts=/usr/sbin/

install -d -m 755 %{buildroot}%{_sbindir}
install -p -m 755 bin/shinken-{arbiter,broker,poller,reactionner,receiver,scheduler} %{buildroot}%{_sbindir}

install -d -m 755 %{buildroot}%{python_sitelib}/%{name}
install -p %{name}/*.py %{buildroot}%{python_sitelib}/%{name}

rm -rf %{buildroot}%{_sysconfdir}/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/daemons
install -m 644 etc/daemons/{brokerd,pollerd,reactionnerd,receiverd,schedulerd}.ini %{buildroot}%{_sysconfdir}/%{name}/daemons

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/{arbiters,brokers,pollers,schedulers,reactionners,receivers}
install -m 644 etc/arbiters/arbiter-master.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/arbiters
install -m 644 etc/brokers/broker-master.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/brokers
install -m 644 etc/pollers/poller-master.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/pollers
install -m 644 etc/reactionners/reactionner-master.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/reactionners
install -m 644 etc/receivers/receiver-master.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/receivers
install -m 644 etc/schedulers/scheduler-master.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/schedulers

install -m 644 etc/%{name}.cfg %{buildroot}%{_sysconfdir}/%{name}/%{name}.cfg
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/{commands,timeperiods,escalations,dependencies,templates,notificationways,servicegroups,hostgroups,contactgroups,hosts,services,contacts,packs,modules,resource.d}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/realms
install -m 644 etc/realms/all.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/realms/all.cfg
install -m 644 for_fedora/etc/templates.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/templates
install -m 644 for_fedora/etc/timeperiods.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/timeperiods
install -m 644 for_fedora/etc/contactgroups.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/contactgroups
install -m 644 for_fedora/etc/commands.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/commands
install -m 644 for_fedora/etc/objects/contacts/nagiosadmin.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/contacts
install -m 644 for_fedora/etc/objects/hosts/localhost.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/hosts
install -m 644 for_fedora/etc/objects/services/linux_disks.cfg \
    %{buildroot}%{_sysconfdir}/%{name}/services

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/resource.d
install -m 644 %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/%{name}/resource.d/path.cfg

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 for_fedora/systemd/%{name}-arbiter.service \
    %{buildroot}%{_unitdir}
install -m 644 for_fedora/systemd/%{name}-broker.service \
    %{buildroot}%{_unitdir}
install -m 644 for_fedora/systemd/%{name}-reactionner.service \
    %{buildroot}%{_unitdir}
install -m 644 for_fedora/systemd/%{name}-scheduler.service \
    %{buildroot}%{_unitdir}
install -m 644 for_fedora/systemd/%{name}-receiver.service \
    %{buildroot}%{_unitdir}
install -m 644 for_fedora/systemd/%{name}-poller.service \
    %{buildroot}%{_unitdir}

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 for_fedora/%{name}.logrotate \
    %{buildroot}%{_sysconfdir}/logrotate.d/shinken

install -d -m 755 %{buildroot}%{_prefix}/lib/tmpfiles.d
install -m 644 for_fedora/%{name}-tmpfiles.conf %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf

install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}/archives
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}

install -d -m 755 %{buildroot}%{_localstatedir}/run/%{name}

install -d -m 755 %{buildroot}%{_mandir}/man8
install -p -m 644 for_fedora/man/* %{buildroot}%{_mandir}/man8
install -p -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man8/shinken.8

sed -i 's|#!/usr/bin/env python||g' %{buildroot}%{_localstatedir}/lib/%{name}/cli/desc/cli.py
sed -i 's|#!/usr/bin/env python||g' %{buildroot}%{_localstatedir}/lib/%{name}/cli/shinkenio/cli.py
sed -i 's|#!/usr/bin/env python||g' %{buildroot}%{_localstatedir}/lib/%{name}/cli/doc/cli.py

sed -i 's|#!/usr/bin/python||g' %{buildroot}%{_localstatedir}/lib/%{name}/modules/{dummy_arbiter,dummy_broker,dummy_scheduler,dummy_broker_external}/module.py
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{_localstatedir}/lib/%{name}/cli/shinkenio/cli.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{_localstatedir}/lib/%{name}/modules/dummy_poller/module.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{_localstatedir}/lib/%{name}/modules/__init__.py
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{_localstatedir}/lib/%{name}/cli/doc/cli.py

sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/hostextinfo.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/servicegroup.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/serviceescalation.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/hostescalation.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/daemons/reactionnerdaemon.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/clients/livestatus.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/discovery/__init__.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/hostdependency.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/schedulingitem.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/daemons/arbiterdaemon.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/discovery/discoverymanager.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/misc/sorter.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/daemons/brokerdaemon.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/misc/perfdata.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/timeperiod.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/itemgroup.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/daemons/receiverdaemon.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/misc/datamanager.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/hostgroup.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/serviceextinfo.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/__init__.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/resultmodulation.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/misc/__init__.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/contact.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/command.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/config.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/contactgroup.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/pack.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/webui/__init__.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/host.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/businessimpactmodulation.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/escalation.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/clients/LSB.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/realm.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/discoveryrun.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/daemons/schedulerdaemon.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/misc/regenerator.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/clients/__init__.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/discoveryrule.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/service.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/macromodulation.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/checkmodulation.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/matchingitem.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/servicedependency.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/daemons/pollerdaemon.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/daemons/__init__.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/module.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/misc/filter.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/trigger.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/notificationway.py 
sed -i 's|#!/usr/bin/python||g' %{buildroot}%{python_sitelib}/%{name}/objects/item.py

sed -i \
    -e 's|nagios|%{shinken_user}|g' \
    %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf

rm -rf %{buildroot}%{_localstatedir}/lib/%{name}/inventory/__void_for_git
rm -rf %{buildroot}%{_localstatedir}/{log,run,lib}/%{name}/void_for_git
rm -rf %{buildroot}%{_sysconfdir}/%{name}/{modules,packs}/__for_git
rm -rf %{buildroot}%{_sysconfdir}/init.d/shinken*
rm -rf %{buildroot}%{_sbindir}/shinken-{arbiter,discovery,broker,poller,reactionner,receiver,scheduler}.py
rm -rf %{buildroot}%{_sysconfdir}/default/%{name}
rm -rf %{buildroot}%{_localstatedir}/lib/%{name}/libexec
rm -rf %{buildroot}%{python_sitelib}/modules

find %{buildroot} -type f -name *.pyc | xargs rm -f
find %{buildroot} -type f -name *.pyo | xargs rm -f

%pre
%_pre_useradd %{shinken_user} %{_localstatedir}/lib/shinken /sbin/sh

%files arbiter
%{_unitdir}/%{name}-arbiter.service
%{_sbindir}/%{name}-arbiter*
%{_mandir}/man8/%{name}-arbiter*

%files reactionner
%{_unitdir}/%{name}-reactionner.service
%{_sbindir}/%{name}-reactionner*
%{_mandir}/man8/%{name}-reactionner*
%config(noreplace) %{_sysconfdir}/%{name}/daemons/reactionnerd.ini

%files scheduler
%{_unitdir}/%{name}-scheduler.service
%{_sbindir}/%{name}-scheduler*
%{_mandir}/man8/%{name}-scheduler*
%config(noreplace) %{_sysconfdir}/%{name}/daemons/schedulerd.ini

%files poller
%{_unitdir}/%{name}-poller.service
%{_sbindir}/%{name}-poller*
%{_mandir}/man8/%{name}-poller*
%config(noreplace) %{_sysconfdir}/%{name}/daemons/pollerd.ini

%files broker
%{_unitdir}/%{name}-broker.service
%{_sbindir}/%{name}-broker*
%{_mandir}/man8/%{name}-broker*
%config(noreplace) %{_sysconfdir}/%{name}/daemons/brokerd.ini

%files receiver
%{_unitdir}/%{name}-receiver.service
%{_sbindir}/%{name}-receiver*
%{_mandir}/man8/%{name}-receiver*
%config(noreplace) %{_sysconfdir}/%{name}/daemons/receiverd.ini

%files
%{python_sitelib}/%{name}
%{python_sitelib}/Shinken*.egg-info
%doc README.rst COPYING Changelog THANKS doc
%{_sbindir}/%{name}
%{_sbindir}/%{name}-discovery
%{_mandir}/man8/%{name}.8*
%{_mandir}/man8/%{name}-discovery.8*
%config(noreplace) %{_sysconfdir}/%{name}
%attr(-,%{shinken_user},%{shinken_group}) %dir %{_sysconfdir}/%{name}/modules
%exclude %{_sysconfdir}/%{name}/daemons/*.ini
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_prefix}/lib/tmpfiles.d/%{name}.conf
%attr(-,%{shinken_user},%{shinken_group}) %dir %{_localstatedir}/log/%{name}
%attr(-,%{shinken_user},%{shinken_group}) %{_localstatedir}/lib/%{name}


%changelog
* Mon Jul 04 2016 guillomovitch <guillomovitch> 2.4.3-1.mga6
+ Revision: 1038643
- new version 2.4.3
  fix ugrade issue (bug #17230)

* Sat Feb 20 2016 umeabot <umeabot> 2.4.2-2.mga6
+ Revision: 971979
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 guillomovitch <guillomovitch> 2.4.2-1.mga6
+ Revision: 893920
- new version 2.4.2

* Mon Jul 27 2015 guillomovitch <guillomovitch> 2.4.1-1.mga6
+ Revision: 858335
- new version 2.4.1

* Wed Jul 08 2015 guillomovitch <guillomovitch> 2.2-1.mga6
+ Revision: 852961
- new version 2.2
- use 'shinken' as system user name, instead of 'nagios'
- provide a shell for shinken user, as required for downloading extensions
- clean-up shipped sample configuration

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-4.mga5
+ Revision: 741820
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.3-3.mga5
+ Revision: 730123
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-2.mga5
+ Revision: 689140
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Aug 06 2014 guillomovitch <guillomovitch> 2.0.3-1.mga5
+ Revision: 660213
- new version 2.0.3
- sync with fedora package
- requires version 4.15 of pyro, as newer version are not compatible (#13304)

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Mar 21 2014 guillomovitch <guillomovitch> 1.4.2-1.mga5
+ Revision: 606386
- new version 1.4.2

* Tue Feb 25 2014 guillomovitch <guillomovitch> 1.4.1-3.mga5
+ Revision: 597136
- better package descriptions (#12666)
- less useless sample configuration files by default

* Wed Feb 05 2014 guillomovitch <guillomovitch> 1.4.1-2.mga5
+ Revision: 583755
- relax dependencies (fix #12606)

* Tue Feb 04 2014 tv <tv> 1.4.1-1.mga5
+ Revision: 581507
- new release
- drop merged patches

* Mon Feb 03 2014 tv <tv> 1.4-6.mga5
+ Revision: 568684
- fix python errors

* Sat Oct 19 2013 umeabot <umeabot> 1.4-5.mga4
+ Revision: 532871
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 1.4-4.mga4
+ Revision: 502311
- Delete eue module

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 23 2013 guillomovitch <guillomovitch> 1.4-2.mga4
+ Revision: 470173
- fix dependencies, python-pyro has been renamed

* Wed Jun 05 2013 guillomovitch <guillomovitch> 1.4-1.mga4
+ Revision: 437505
- new version

* Tue Mar 26 2013 guillomovitch <guillomovitch> 1.2.4-1.mga3
+ Revision: 405332
- new version
- fix pyro dependency (#9377)

* Wed Feb 06 2013 guillomovitch <guillomovitch> 1.2.3-1.mga3
+ Revision: 394845
- new version

* Sun Jan 27 2013 guillomovitch <guillomovitch> 1.2.2-1.mga3
+ Revision: 392800
- new version

* Mon Jan 14 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 381975
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 03 2012 guillomovitch <guillomovitch> 1.2-1.mga3
+ Revision: 287774
- new version

* Tue Jun 05 2012 guillomovitch <guillomovitch> 1.0.1-1.mga3
+ Revision: 256018
- new version
- use /run for pid files

* Sat Apr 28 2012 tmb <tmb> 1.0-2.mga2
+ Revision: 233856
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Mar 12 2012 guillomovitch <guillomovitch> 1.0-1.mga2
+ Revision: 222902
- imported package shinken


* Wed Feb 29 2012 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1.mga2
- first mageia package, using spec file from David Hannequin
  <david.hannequin@gmail.com>
